Page MenuHomePhabricator

Land Releeph integration in Arcanist
Closed, WontfixPublic

Description

I'd like to actually land Releeph in Phabricator, where it can happily sit alongside all the Phabricator code on which it depends.

@davidrecordon suggested that we land this as a single large commit, and I'm happy to do it this way. We'll lose history, but git-blame should pretty much all point at me anyway, even with commit history, and @bgh can be ever-vigilant for problems in code he was responsible for.

Details

Differential Revisions
Restricted Differential Revision
Restricted Differential Revision
Restricted Differential Revision
Restricted Differential Revision
Restricted Differential Revision

Event Timeline

edward claimed this task.Nov 20 2012, 7:49 PM
edward triaged this task as Normal priority.
edward added a project: Phabricator.

I can create a new Project in secure.phabricator.com, to help with task triage.

The Releeph application can start off being disabled by default. If we're happy there won't be any other disaster inducing architectural changes, I could document it more publicly as well.

Are there any other logistics issues I should be thinking about?

I'd like to review it before we land it, which might or might not be easier in one big commit. Maybe throw it up as a one diff and we can decide from there? As long as it isn't like 50K lines we can probably do it in one go.

As long as the app is default-disabled I don't think it can cause any logistical problems. Do you have hooks/events into other apps or markup rules or top-level /Dnn style routes? The only other stuff I can think of is stuff like duplicate resource names, but that should already be getting caught.

Basically, fire when ready.

Just /RQnn, which takes you to the ReleephRequest of that number. I think that's the only top level route: everything else is in PhabricatorApplicationReleeph.

The first diff here was 10 kilolines, and with a bit of churn that might be a bit bigger but I don't think it will be too long. Releeph embraces quite a lot of concepts from Differential and Maniphest, so it should all be pretty familiar looking :D

mbeck added a subscriber: mbeck.Dec 21 2012, 2:02 PM
edward edited this Maniphest Task.Feb 13 2013, 5:03 PM
edward edited this Maniphest Task.Feb 13 2013, 5:06 PM
edward edited this Maniphest Task.Feb 26 2013, 4:19 PM
edward edited this Maniphest Task.Feb 26 2013, 6:46 PM
edward edited this Maniphest Task.Feb 26 2013, 7:42 PM
epriestley edited this Maniphest Task.Mar 8 2013, 4:26 PM
edward edited this Maniphest Task.Mar 14 2013, 3:37 PM
edward edited this Maniphest Task.Mar 14 2013, 3:43 PM
edward edited this Maniphest Task.Mar 14 2013, 3:45 PM

I'm going to move these dependencies to T2714 and reorient this around the arc part.

epriestley renamed this task from Land Releeph to Land Releeph integration in Arcanist.Jul 16 2013, 5:55 PM
epriestley edited this Maniphest Task.Jul 16 2013, 5:56 PM
epriestley edited this Maniphest Task.
edward reassigned this task from edward to epriestley.Jul 17 2013, 9:46 AM
epriestley added a subscriber: Unknown Object (MLST).Sep 3 2013, 11:15 PM
edward removed a subscriber: edward.May 12 2014, 9:40 AM
mbeck removed a subscriber: mbeck.Sep 23 2014, 7:53 PM
chad changed the visibility from "All Users" to "Public (No Login Required)".Jul 23 2015, 4:41 AM
chad added a subscriber: bgh.
vhbit added a subscriber: vhbit.Sep 27 2015, 5:54 AM
epriestley closed this task as Wontfix.Nov 10 2015, 7:20 PM

The future of these pipelines in the upstream is server-side, not client-side. See T9530.